Description: fixed format-security errors
Author: IOhannes m zmölnig
Forwarded: no
Last-Update: 2017-01-15
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-ext13.orig/openpatch.c
+++ pd-ext13/openpatch.c
@@ -60,7 +60,7 @@
       }
       else {
         strcpy (filename,s->s_name);
-        sprintf (path,x->x_path->s_name);
+        sprintf (path, "%s", x->x_path->s_name);
       }  
     post ("path:%s , name:%s",path,filename);
     glob_evalfile(0,gensym(filename),gensym(path));
--- pd-ext13.orig/strippath.c
+++ pd-ext13/strippath.c
@@ -49,7 +49,7 @@
       }
       else {
         strcpy (filename,s->s_name);
-        sprintf (path,x->x_path->s_name);
+        sprintf (path, "%s", x->x_path->s_name);
       }  
       outlet_symbol(x->x_obj.ob_outlet,gensym(filename));
 //      post ("path:%s , name:%s",path,filename);
--- pd-ext13.orig/cdplayer.c
+++ pd-ext13/cdplayer.c
@@ -29,7 +29,7 @@
     t_cdplayer *x = (t_cdplayer *)pd_new(cdplayer_class);
 
     outlet_new(&x->x_obj, &s_bang);
-    sprintf(devicename,"/dev/cdrom");
+    sprintf(devicename, "%s", "/dev/cdrom");
     x->device = gensym(devicename);
 /*
     fd = open(x->device->s_name, O_RDONLY);
